from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.task import XInteractionContinuation

@runtime_checkable
class XInteractionFilterSelect(XInteractionContinuation, Protocol):
    def setFilter(self, Name: str) -> None: ...
    def getFilter(self) -> str: ...
